package com.pqs9900.pojo.message;

import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;
import java.util.List;

/**
 * @Description 短信基本配置
 * @Author cdf
 * @Date 2020/5/15 9:02
 **/
@Table(name = "MSG_CONFIG")
public class MsgBaseConfDTO {
    //短信配置GUID
    private String msgCofIndex;
    //短信间隔
    private Integer timeInterval;
    //
    private Integer offDay;
    //
    private String updateUser;
    //
    private Date updateTime;
    //是否启用
    private Integer isSend;
    //最后扫描时间
    private Date flagtime;
    //短信绑定类型集合
    @Transient
    private List<String> list;

    public String getMsgCofIndex() {
        return msgCofIndex;
    }

    public void setMsgCofIndex(String msgCofIndex) {
        this.msgCofIndex = msgCofIndex;
    }

    public Integer getTimeInterval() {
        return timeInterval;
    }

    public void setTimeInterval(Integer timeInterval) {
        this.timeInterval = timeInterval;
    }

    public Integer getOffDay() {
        return offDay;
    }

    public void setOffDay(Integer offDay) {
        this.offDay = offDay;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getIsSend() {
        return isSend;
    }

    public void setIsSend(Integer isSend) {
        this.isSend = isSend;
    }

    public List<String> getList() {
        return list;
    }

    public void setList(List<String> list) {
        this.list = list;
    }

    public Date getFlagtime() {
        return flagtime;
    }

    public void setFlagtime(Date flagtime) {
        this.flagtime = flagtime;
    }
}
